Cancel a Meeting Agent BETA
Read as Markdown Required plan: EmergingMeeting Agents can be cancelled before they join the meeting. The way you cancel the agent will depend on how it was created:
- For Meeting Agents created through the Schedule Meeting Agent API you can use a new endpoint to cancel the Scheduled Meeting Agent.
- For Meeting Agents that were provisioned on a calendar event you can either delete the event or remove the Meeting Agent.
Scheduled Meeting Agents #
Cancels a Meeting Agent that was previously scheduled using the Schedule Meeting Agent API.
Example Request #
DELETE /v1/meeting_agents HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8
{
"scheduling_key": "your-identifier-for-this-unique-meeting"
}Example Response #
HTTP/1.1 202 AcceptedParameters #
data_center_url required
The URL for the data center you want to communicate with. Possible choices are:
api-au.cronofy.com- π¦πΊ Australiaapi-ca.cronofy.com- π¨π¦ Canadaapi-de.cronofy.com- π©πͺ Germanyapi-sg.cronofy.com- πΈπ¬ Singaporeapi-uk.cronofy.com- π¬π§ United Kingdomapi.cronofy.com- πΊπΈ United States
Find out more about Cronofy's data centers.
scheduling_key required #
The scheduling_key identifies the Meeting Agent from a previous Schedule a Meeting Agent API call.
If the previously-scheduled Meeting Agent has already begun joining the meeting, then it will remain active.
Integrated Meeting Agents #
For Meeting Agents that were provisioned on a calendar event, cancellation is done through the event itself rather than a separate API call.
There are two ways to cancel an Integrated Meeting Agent:
Remove the Meeting Agent from the event β update the event using the Upsert Event API and set meeting_agent.profile_id to none:
POST /v1/calendars/{calendar_id}/events HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8
{
"event_id": "your-event-id",
"meeting_agent": {
"profile_id": "none"
}
}Delete the event β delete the event using the Delete Event API, which will also cancel the associated Meeting Agent.